%undefine __cmake_in_source_build
%global libversion 1.0

Name:		urdfdom
Version:	1.0.4
Release:    1%{?dist}
Summary:	U-Robot Description Format Document Object Model

License:	BSD
URL:		http://ros.org/wiki/urdf
Source0:	https://github.com/ros/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:     urdfdom-1.0.4-console-bridge.patch

BuildRequires:  gcc-c++
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	urdfdom-headers-static
BuildRequires:	console-bridge-devel
BuildRequires:	tinyxml-devel

%description
The URDF (U-Robot Description Format) library
provides core data structures and a simple XML parser
for populating the class data structures from an URDF file

%package        devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
Requires:	urdfdom-headers-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -qn %{name}-%{version}
%patch0 -p0 -b .console-bridge
sed -i 's/add_subdirectory(urdf_parser_py)//' CMakeLists.txt

%build
%cmake -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmake_install
rm -rf %{buildroot}%{_bindir}/urdf_mem_test


%files
%license LICENSE
%{_bindir}/*
%{_libdir}/*.so.%{libversion}

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{name}
%{_includedir}/urdf_parser

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-1
- initial build
